package com.gxzc.zen.common.util.upload.result

import com.fasterxml.jackson.annotation.JsonIgnore
import com.fasterxml.jackson.annotation.JsonInclude
import com.gxzc.zen.common.util.upload.FdfsFile
import java.io.File

/**
 * 检查结果
 * @author NorthLan
 * @date 2018/8/30
 * @url https://noahlan.com
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
open class CheckResult {
    var uploadedChunks: MutableList<Int>? = null // 已上传分片数

//    @JsonIgnore
    var checkStatus: String? = null

    @JsonIgnore
    var fdfsFile: FdfsFile? = null

    @JsonIgnore
    var file: File? = null

    var info: Any? = null // 回传信息
}