package com.gxzc.zen.api.sys.model

import com.baomidou.mybatisplus.annotation.TableName
import com.gxzc.zen.common.base.BaseModel

/**
 * <p>
 * 登录日志表
 * </p>
 *
 * @author NorthLan
 * @since 2018-04-28
 */
@TableName("sys_event_login")
open class SysEventLogin : BaseModel() {
    /**
     * 日志标题
     */
    var title: String? = null
    /**
     * 请求地址
     */
    var requestUri: String? = null
    /**
     * 排序号
     */
    var sort: Int? = null
    /**
     * 账户名
     */
    var account: String? = null
    /**
     * 登录IP地址
     */
    var clientHost: String? = null
    /**
     * 用户代理
     */
    var userAgent: String? = null
    /**
     * 请求状态
     */
    var status: Int? = null
}
