package com.gxzc.zen.api.sys.model

import com.baomidou.mybatisplus.annotation.TableName
import com.gxzc.zen.common.base.BaseModel

/**
 * <p>
 * 用户角色表
 * </p>
 *
 * @author NorthLan
 * @since 2018-04-27
 */
@TableName("sys_user_role")
open class SysUserRole : BaseModel() {
    companion object {
        private const val serialVersionUID = 1000000000000000005L
    }

    /**
     * 角色ID
     */
    var roleId: Long? = null
    /**
     * 用户ID
     */
    var userId: Long? = null
}